package cn.pluss.platform.mapper;

import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import cn.pluss.platform.entity.Banner;

@Mapper
public interface BannerMapper extends BaseMapper<Banner> {

    Banner queryBanner(Banner banner);

    List<Banner> queryBannerList(Banner banner);

    void saveBanner(Banner banner);

    void updateBanner(Banner banner);

    void deleteBanner(Banner banner);

    List<Banner> queryBannerPage(Map map);

    Integer queryBannerPageCount(Map map);

    void saveBannerBatch(List<Banner> bannerList);
}

